TransferToken
Transfer a payment token from one card to another
Request
Path parameters
string, 10 characters, required
The Paymentology issued terminal ID of the terminal requesting the transaction
string, 1-255 characters, required
Customer reference linked with this card
string, 48 characters, required
The unique reference of the token
string, 1-10 characters, required
Card number or Tracking number of the card to transfer the token from
string, 1-10 characters, required
Card number or Tracking number of the card to transfer the token to
string, 1-255 characters, required
A unique identifier generated by the client, which must not be duplicated over time.
date, required
Transaction date generated by the calling client
string, required
HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<methodCall>
<methodName>TransferToken</methodName>
<params>
<param>
<value>
<string>0020787431</string>
</value>
</param>
<param>
<value>
<string>Cyp001</string>
</value>
</param>
<param>
<value>
<string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
</value>
</param>
<param>
<value>
<string>156554700000004</string>
</value>
</param>
<param>
<value>
<string>156554700000005</string>
</value>
</param>
<param>
<value>
<string>fb8344c9-2fc9-467b-87e4-55eaf88d06f1</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200101T09:00:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>FC600F94C3C800377B5E93D518DDA1D1B56E88D0</string>
</value>
</param>
</params>
</methodCall>
Response
STATUS200 OK
Schema
integer
Status code indicating transaction result
string
Status text indicating transaction result
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>OK</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
Was this page helpful?